Last updated: September 23, 2026
Create OAuth/OIDC App
Create OAuth/OIDC App.
Request
POST
https://superadminuser.miniorange.in/services/api/apps/v1/openidAuthentication headers (required on every request)
- Customer-Key
- Super Admin ID for the actor account.
- Timestamp
- Milliseconds since epoch (e.g. Date.now()).
- Authorization
- SHA-512 of superAdminId + timestamp + apiKey.
- X-Target-Customer-Id
- Customer tenant the Super Admin is acting on.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| applicationName | String | Optional | |
| clientName | String | Optional | |
| clientDesc | String | Optional | |
| redirectUrls | String | Optional | |
| allowedLogoutUrls | String | Optional | |
| clientId | String | Optional | |
| clientSecret | String | Optional | |
| accessTokenExpiry | Number | Optional | |
| jwtExpiry | Number | Optional | |
| refreshTokenExpiry | Number | Optional | |
| subject | String | Optional | |
| subjectAttributeValue | String | Optional | |
| algo | String | Optional | |
| ssoFlows | String | Optional | |
| forceAuthn | String | Optional | |
| sloEnabled | String | Optional | |
| createDefaultPolicy | String | Optional | |
| showOnEndUserDashboard | String | Optional | |
| isCustomerIdpEnabled | String | Optional | |
| isMultivaluedAttributesEnabled | String | Optional | |
| isSharedAccount | String | Optional | |
| customerScopes | String | Optional | |
| customLoginPageUrl | String | Optional | |
| identitySource | String | Optional | |
| attributeMappings | String | Optional |
Request body
{
"applicationName": "OAuth2/OpenID Connect",
"clientName": "My OAuth App",
"clientDesc": "Description of my OAuth OIDC app",
"redirectUrls": [
"https://myapp.example.com/callback",
"https://myapp.example.com/auth/callback"
],
"allowedLogoutUrls": [
"https://myapp.example.com/logout"
],
"clientId": null,
"clientSecret": null,
"accessTokenExpiry": 1,
"jwtExpiry": 1,
"refreshTokenExpiry": 14,
"subject": "EMAIL",
"subjectAttributeValue": null,
"algo": "RSA-SHA256",
"ssoFlows": "idp",
"forceAuthn": false,
"sloEnabled": true,
"createDefaultPolicy": false,
"showOnEndUserDashboard": false,
"isCustomerIdpEnabled": false,
"isMultivaluedAttributesEnabled": false,
"isSharedAccount": false,
"customerScopes": null,
"customLoginPageUrl": null,
"identitySource": null,
"attributeMappings": [
{
"attributeName": "email",
"attributeType": "MINIORANGE",
"attributeValue": "EMAIL"
},
{
"attributeName": "firstName",
"attributeType": "MINIORANGE",
"attributeValue": "FIRST_NAME"
},
{
"attributeName": "lastName",
"attributeType": "MINIORANGE",
"attributeValue": "LAST_NAME"
}
]
}
No sample response is documented for this endpoint yet. Use Try it on the right to see the live response from your tenant.